Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.util
Class NullLogger

    java.lang.Object
      org.apache.poi.util.POILogger
          org.apache.poi.util.NullLogger

    public class NullLogger

extends POILogger

A logger class that strives to make it as easy as possible for developers to write log calls, while simultaneously making those calls as cheap as possible by performing lazy evaluation of the log message.

Author:
  Marc Johnson (mjohnson at apache dot org), Glen Stampoultzis (glens at apache.org), Nicola Ken Barozzi (nicolaken at apache.org)

Field Summary

Fields inherited from class org.apache.poi.util.POILogger
`DEBUG, ERROR, FATAL, INFO, WARN`

Constructor Summary
`NullLogger()`

Method Summary
`boolean` | `check(int level)` Check if a logger is enabled to log at the specified level
`void` | `initialize(java.lang.String cat)`
`void` | `log(int level, java.lang.Object obj1)` Log a message
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6, java.lang.Object obj7)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6, java.lang.Object obj7, java.lang.Object obj8)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6, java.lang.Object obj7, java.lang.Object obj8, java.lang.Throwable exception)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6, java.lang.Object obj7, java.lang.Throwable exception)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6, java.lang.Throwable exception)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Throwable exception)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Throwable exception)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Throwable exception)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Object obj2, java.lang.Throwable exception)` Log a message.
`void` | `log(int level, java.lang.Object obj1, java.lang.Throwable exception)` Log a message
`void` | `logFormatted(int level, java.lang.String message, java.lang.Object obj1)` Logs a formated message.
`void` | `logFormatted(int level, java.lang.String message, java.lang.Object obj1, java.lang.Object obj2)` Logs a formated message.
`void` | `logFormatted(int level, java.lang.String message, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3)` Logs a formated message.
`void` | `logFormatted(int level, java.lang.String message, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4)` Logs a formated message.

Methods inherited from class org.apache.poi.util.POILogger
`log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullLogger

    public NullLogger()

Method Detail

### initialize

    public void initialize(java.lang.String cat)

  Specified by:
    `initialize` in class `POILogger`

### log

    public void log(int level,
                    java.lang.Object obj1)

  Log a message

  Specified by:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - The object to log.

### check

    public boolean check(int level)

  Check if a logger is enabled to log at the specified level

  Specified by:
    `check` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first object to place in the message
    `obj2` - second object to place in the message

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third Object to place in the message

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Object obj4)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third Object to place in the message
    `obj4` - fourth Object to place in the message

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Object obj4,
                    java.lang.Object obj5)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third Object to place in the message
    `obj4` - fourth Object to place in the message
    `obj5` - fifth Object to place in the message

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Object obj4,
                    java.lang.Object obj5,
                    java.lang.Object obj6)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third Object to place in the message
    `obj4` - fourth Object to place in the message
    `obj5` - fifth Object to place in the message
    `obj6` - sixth Object to place in the message

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Object obj4,
                    java.lang.Object obj5,
                    java.lang.Object obj6,
                    java.lang.Object obj7)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third Object to place in the message
    `obj4` - fourth Object to place in the message
    `obj5` - fifth Object to place in the message
    `obj6` - sixth Object to place in the message
    `obj7` - seventh Object to place in the message

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Object obj4,
                    java.lang.Object obj5,
                    java.lang.Object obj6,
                    java.lang.Object obj7,
                    java.lang.Object obj8)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third Object to place in the message
    `obj4` - fourth Object to place in the message
    `obj5` - fifth Object to place in the message
    `obj6` - sixth Object to place in the message
    `obj7` - seventh Object to place in the message
    `obj8` - eighth Object to place in the message

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Throwable exception)

  Log a message

  Specified by:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - The object to log. This is converted to a string.
    `exception` - An exception to be logged

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Throwable exception)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `exception` - An exception to be logged

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Throwable exception)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third object to place in the message
    `exception` - An error message to be logged

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Object obj4,
                    java.lang.Throwable exception)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third object to place in the message
    `obj4` - fourth object to place in the message
    `exception` - An exception to be logged

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Object obj4,
                    java.lang.Object obj5,
                    java.lang.Throwable exception)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third object to place in the message
    `obj4` - fourth object to place in the message
    `obj5` - fifth object to place in the message
    `exception` - An exception to be logged

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Object obj4,
                    java.lang.Object obj5,
                    java.lang.Object obj6,
                    java.lang.Throwable exception)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third object to place in the message
    `obj4` - fourth object to place in the message
    `obj5` - fifth object to place in the message
    `obj6` - sixth object to place in the message
    `exception` - An exception to be logged

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Object obj4,
                    java.lang.Object obj5,
                    java.lang.Object obj6,
                    java.lang.Object obj7,
                    java.lang.Throwable exception)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third object to place in the message
    `obj4` - fourth object to place in the message
    `obj5` - fifth object to place in the message
    `obj6` - sixth object to place in the message
    `obj7` - seventh object to place in the message
    `exception` - An exception to be logged

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Object obj2,
                    java.lang.Object obj3,
                    java.lang.Object obj4,
                    java.lang.Object obj5,
                    java.lang.Object obj6,
                    java.lang.Object obj7,
                    java.lang.Object obj8,
                    java.lang.Throwable exception)

  Log a message. Lazily appends Object parameters together.

  Overrides:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - first Object to place in the message
    `obj2` - second Object to place in the message
    `obj3` - third object to place in the message
    `obj4` - fourth object to place in the message
    `obj5` - fifth object to place in the message
    `obj6` - sixth object to place in the message
    `obj7` - seventh object to place in the message
    `obj8` - eighth object to place in the message
    `exception` - An exception to be logged

### logFormatted

    public void logFormatted(int level,
                             java.lang.String message,
                             java.lang.Object obj1)

  Logs a formated message. The message itself may contain % characters as place holders. This routine will attempt to match the placeholder by looking at the type of parameter passed to obj1.

  If the parameter is an array, it traverses the array first and matches parameters sequentially against the array items. Otherwise the parameters after `message` are matched in order.

  If the place holder matches against a number it is printed as a whole number. This can be overridden by specifying a precision in the form %n.m where n is the padding for the whole part and m is the number of decimal places to display. n can be excluded if desired. n and m may not be more than 9.

  If the last parameter (after flattening) is a Throwable it is logged specially.

  Overrides:
    `logFormatted` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `message` - The message to log.
    `obj1` - The first object to match against.

### logFormatted

    public void logFormatted(int level,
                             java.lang.String message,
                             java.lang.Object obj1,
                             java.lang.Object obj2)

  Logs a formated message. The message itself may contain % characters as place holders. This routine will attempt to match the placeholder by looking at the type of parameter passed to obj1.

  If the parameter is an array, it traverses the array first and matches parameters sequentially against the array items. Otherwise the parameters after `message` are matched in order.

  If the place holder matches against a number it is printed as a whole number. This can be overridden by specifying a precision in the form %n.m where n is the padding for the whole part and m is the number of decimal places to display. n can be excluded if desired. n and m may not be more than 9.

  If the last parameter (after flattening) is a Throwable it is logged specially.

  Overrides:
    `logFormatted` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `message` - The message to log.
    `obj1` - The first object to match against.
    `obj2` - The second object to match against.

### logFormatted

    public void logFormatted(int level,
                             java.lang.String message,
                             java.lang.Object obj1,
                             java.lang.Object obj2,
                             java.lang.Object obj3)

  Logs a formated message. The message itself may contain % characters as place holders. This routine will attempt to match the placeholder by looking at the type of parameter passed to obj1.

  If the parameter is an array, it traverses the array first and matches parameters sequentially against the array items. Otherwise the parameters after `message` are matched in order.

  If the place holder matches against a number it is printed as a whole number. This can be overridden by specifying a precision in the form %n.m where n is the padding for the whole part and m is the number of decimal places to display. n can be excluded if desired. n and m may not be more than 9.

  If the last parameter (after flattening) is a Throwable it is logged specially.

  Overrides:
    `logFormatted` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `message` - The message to log.
    `obj1` - The first object to match against.
    `obj2` - The second object to match against.
    `obj3` - The third object to match against.

### logFormatted

    public void logFormatted(int level,
                             java.lang.String message,
                             java.lang.Object obj1,
                             java.lang.Object obj2,
                             java.lang.Object obj3,
                             java.lang.Object obj4)

  Logs a formated message. The message itself may contain % characters as place holders. This routine will attempt to match the placeholder by looking at the type of parameter passed to obj1.

  If the parameter is an array, it traverses the array first and matches parameters sequentially against the array items. Otherwise the parameters after `message` are matched in order.

  If the place holder matches against a number it is printed as a whole number. This can be overridden by specifying a precision in the form %n.m where n is the padding for the whole part and m is the number of decimal places to display. n can be excluded if desired. n and m may not be more than 9.

  If the last parameter (after flattening) is a Throwable it is logged specially.

  Overrides:
    `logFormatted` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `message` - The message to log.
    `obj1` - The first object to match against.
    `obj2` - The second object to match against.
    `obj3` - The third object to match against.
    `obj4` - The forth object to match against.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD